from distutils.core import setup
from imLib.version import version

import time
import os
if os.path.exists('MANIFEST'):
	os.remove('MANIFEST')

L = []
for dec in time.strftime('%y.%m.%d').split('.'):
	i = 0
	while i < len(dec) and dec[i] == '0':
		i = i + 1
	L.append(dec[i:])
dateVersion = '.'.join(L)
newVersion = raw_input('version(%s) : ' % dateVersion).strip()
if newVersion:
	file('imLib/version.py', 'wb').write('version = "%s"' % newVersion)
	version = newVersion
else:
	file('imLib/version.py', 'wb').write('version = "%s"' % dateVersion)
	version = dateVersion

text = file('README.template').read()
text = text.replace('<:version:>', version)
text = text.replace('<:date:>', time.strftime('%B %d, %Y'))
file('README', 'w').write(text)

setup(
    name = "imwiki",
    version = version,
    description = "Wiki Engine",
    author = "Sung-hwan, Jang",
    author_email = "jangc.net@gmail.com",
    url = "http://imwiki.kldp.net",
    license = "GPL",
    platforms = ["Linux", "Windows"],
    packages = [],
    )

os.remove('README')
