# -*- coding: utf8 -*-
import unittest
import sys
sys.path.append('..')

from imMacro.UserPreferences import *

class MockUser:
	def __init__(self, uid, passwd, email):
		self.uid = uid
		self.passwd = passwd
		self.email = email

class UserPreferenceTestCase(unittest.TestCase):
	def setUp(self):
		request = Request.Request()
		request.user = MockUser('jangc', 'passwd', 'email@email.com')
		setTemplateFolder('../skin/default')
	
	def test_IsLogined(self):
		request = Request.Request()
		request.sess = {'uid':'anonymous'}
		self.assertEquals(isLogined(), False)
		request.sess = {'uid':'jangc'}
		self.assertEquals(isLogined(), True)
		self.assert_(run())
	def test_Run(self):
		request = Request.Request()
		request.sess = {'uid':'anonymous'}
		self.assert_(run())
		request.sess = {'uid':'jangc'}
		self.assert_(run())
		del request.sess

if __name__ == '__main__':
	unittest.main(argv=('', '-v'))
